## golang-1.6 1.6

=== debian/changelog ===
golang-1.6 (1.6-0ubuntu1~14.04) trusty; urgency=medium

  * Rebuild on trusty, against version that built on trusty. (LP: #1536882) 

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 23 Mar 2016 15:20:44 +1300

golang-1.6 (1.6-0ubuntu1~14.04~stage1) trusty; urgency=medium

  * Rebuild on trusty.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 23 Mar 2016 14:18:03 +1300

golang-1.6 (1.6-0ubuntu1) xenial; urgency=medium

  * Build golang version-specific packages (LP: #1555856)
  * Things that (conceptually at least) move to new golang version independent
    golang-defaults source package:
    - Drop "Build empty golang-go and golang-src packages on architectures without
      golang".
    - Remove man pages.
    - Do not suggest golang-golang-x-tools.
    - Stop using alternatives to manage /usr/bin/go.
  * sed trickery in debian/rules to support easy changes to new golang versions.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Mon, 07 Mar 2016 17:01:40 +1300

golang (2:1.6-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable (LP: #1551489).  Remaining changes:
    - Build empty golang-go and golang-src packages on architectures without
      golang support and depend on gccgo instead (see Debian bug #780355).
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - debian/source/lintian-overrides: silence some extra source-missing false
      positives.
    - Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
      smooth upgrades.
    - Add d/patches/0001-s390x-port.patch from IBM's repo.
    - Updates for s390x support.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Tue, 01 Mar 2016 13:35:02 +1300

golang (2:1.6-1) unstable; urgency=medium

  * Update to 1.6 upstream release (thanks Hilko!)
    - change "ar" arguments to quiet spurious warnings while using gccgo
      (Closes: #807138)
    - skip multicast listen test (Closes: #814849)
    - skip userns tests when chrooted (Closes: #807303)
    - use correct ELF header for armhf binaries (Closes: #734357)
    - Update debian/rules clean for new location of generated file.

  [ Michael Hudson-Doyle ]
  * Respect "nocheck" in DEB_BUILD_OPTIONS while building to skip tests
    (Closes: #807290)
  * Trim Build-Depends (Closes: #807299)
  * Fix several minor debian/copyright issues (Closes: #807304)
  * Remove inconsistently included race-built packages (Closes: #807294)

  [ Tianon Gravi ]
  * Add "-k" to "run.bash" invocation so that we do a full test run every time

 -- Tianon Gravi <tianon@debian.org>  Mon, 29 Feb 2016 16:10:32 -0800

golang (2:1.6-0ubuntu3) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Feb 2016 16:50:57 +0100

golang (2:1.6-0ubuntu1) xenial; urgency=medium

  * Go 1.6 release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2016 18:56:52 +0100

golang (2:1.6~rc2-0ubuntu1) xenial; urgency=medium

  * New upstream version. (LP: #1541660)
  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Thu, 04 Feb 2016 14:06:36 +1300

golang (2:1.6~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Update d/patches/0001-s390x-port.patch from IBM's repo.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Fri, 29 Jan 2016 10:22:32 +1300

golang (2:1.6~beta2-0ubuntu1) xenial; urgency=medium

  * New upstream version.
    - Update debian/rules clean to new location of generated file.
  * Dropped changes:
    - d/patches/armhf-elf-header.patch (fixed properly upstream).
    - d/patches/skip-userns-tests-when-chrooted.patch (included upstream).
  * Add:
    - d/patches/0001-s390x-port.patch
  * Updates for s390x support.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Sat, 16 Jan 2016 19:59:59 +1300

golang (2:1.5.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/armhf-elf-header.patch (see upstream bug
      https://github.com/golang/go/issues/7094)
    - debian/copyright: updated copyright file to fix some lintian warnings
      (see Debian bug #807304)
    - Build empty golang-go and golang-src packages on architectures without
      golang support and depend on gccgo instead (see Debian bug #780355)
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455)
    - debian/source/lintian-overrides: silence some extra source-missing false
      positives.
    - Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
      smooth upgrades.
    - d/patches/skip-userns-tests-when-chrooted.patch (see Debian bug #807303)
    - Do not include race enabled packages in golang-go deb (see Debian bug
      #807294)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Jan 2016 14:04:35 -0800

golang (2:1.5.3-1) unstable; urgency=high

  * Update to 1.5.3 upstream release
    - Fix CVE-2015-8618: Carry propagation in Int.Exp Montgomery code in
      math/big library (Closes: #809168)
  * Add "Breaks" to properly complement our "Replaces" (Closes: #810595)

 -- Tianon Gravi <tianon@debian.org>  Thu, 14 Jan 2016 07:41:44 -0800

golang (2:1.5.2-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1524165).  Remaining changes:
    - d/patches/armhf-elf-header.patch (see upstream bug
      https://github.com/golang/go/issues/7094)
    - debian/copyright: updated copyright file to fix some lintian warnings
      (see Debian bug #807304)
    - Build empty golang-go and golang-src packages on architectures without
      golang support and depend on gccgo instead (see Debian bug #780355)
    - Do not distribute un-built from source race detector runtime files and

