=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
 http://golang.org/dl/ .*/go(\d\S*)\.src\.tar\.gz
