## golang-1.6 1.6.1

=== debian/changelog ===
golang-1.6 (1.6.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Drop d/patches/0003-crypto-dsa-eliminate-invalid-PublicKey-early.patch, 
    included in reelase.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Apr 2016 14:03:09 +1200

golang-1.6 (1.6-0ubuntu5) xenial; urgency=medium

  * Fix GOVER calculation in debian/rules to only pull out MAJOR.MINOR.
  * Two patches backported from upstream tip:
    - d/patches/0002-maxcpus-fix.patch (LP: #1565978)
    - d/patches/0003-crypto-dsa-eliminate-invalid-PublicKey-early.patch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Apr 2016 13:54:12 +1200

golang-1.6 (1.6-0ubuntu4) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM, making syscall types
    match those that will be in Go 1.7.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Apr 2016 15:47:35 +1200

golang-1.6 (1.6-0ubuntu3) xenial; urgency=medium

  * Fix broken symlinks in golang-X.Y-doc.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 30 Mar 2016 14:04:04 +1300

golang-1.6 (1.6-0ubuntu2) xenial; urgency=medium

  * Update d/patches/0001-s390x-port.patch from IBM's repo. (LP: #1561271)
  * Strip the binaries as it has worked for the last five years or so and
    upstream sees no reason to disable it. (LP: #1561343)
  * Remove Breaks/Replaces of trusty golang packages (moves to golang-defaults).
  * Recommend golang-X.Y-race-detector-runtime rather than unversioned package.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 23 Mar 2016 20:10:13 +1300
