=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
            Tianon Gravi <tianon@debian.org>
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
-Build-Depends: debhelper (>= 7.4.10), golang-1.6-go, netbase
+Build-Depends: debhelper (>= 7.4.10),
+               golang-go (>= 2:1.4.2-2~) | gccgo-6,
+               netbase
 Standards-Version: 3.9.6
 Homepage: https://golang.org
 
@@ -18,13 +20,12 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: g++, gcc, libc6-dev, pkg-config,
-            golang-race-detector-runtime [amd64]
-Suggests: bzr,
-          ca-certificates,
-          git,
-          mercurial,
-          subversion
+Recommends: g++,
+            gcc,
+            golang-1.6-race-detector-runtime [amd64],
+            libc6-dev,
+            pkg-config
+Suggests: bzr, ca-certificates, git, mercurial, subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
  productive. Go is expressive, concise, clean, and efficient. Its concurrency
