## golang-1.6 1.6.2

=== debian/changelog ===
golang-1.6 (1.6.2-2+rpi1) stretch-staging; urgency=medium

  [changes brought forward from golang 2:1.5.3-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 21 Jan 2016 20:49:39 +0000]
  * Force build for armv6.
  
  [changes introduced in golang 2:1.6.1-2+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 01 Jul 2016 05:06:35 +0000

golang-1.6 (1.6.2-2) unstable; urgency=medium

  * Update "golang-any" in "Build-Depends" to fallback to "golang-go | gccgo"
    (will help with backporting)

 -- Tianon Gravi <tianon@debian.org>  Thu, 23 Jun 2016 20:01:00 -0700

golang-1.6 (1.6.2-1) unstable; urgency=medium

  * Update to 1.6.2 upstream release (Closes: #825696)
  * Build-Depend on golang-any instead of golang-go (Closes: #824421)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 03 Jun 2016 07:50:44 -0700

golang-1.6 (1.6.1-1) unstable; urgency=medium

  * Build golang version-specific packages (Closes: #818415)
  * Things that (conceptually at least) move to new golang version independent
    golang-defaults source package:
    - Man pages.
    - Suggesting golang-golang-x-tools.
    - Breaks/Replace-ing of old golang-go-$GOOS-$GOARCH packages.
  * Stop using alternatives to manage /usr/bin/go.
  * sed trickery in debian/rules to support easy changes to new golang versions.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 01 Jun 2016 10:04:53 -0700

golang (2:1.6.1-2) unstable; urgency=medium

  * Don't strip testdata files, causes build failures on some platforms. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Apr 2016 15:47:46 -0700

golang (2:1.6.1-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Breaks/Replaces: older golang-golang-x-tools, not Conflicts, to ensure
    smooth upgrades.
  * Strip the binaries as it has worked for the last five years or so and
    upstream sees no reason to disable it.

  [ Tianon Gravi ]
  * Update to 1.6.1 upstream release (Closes: #820369)
    - Fix CVE-2016-3959: infinite loop in several big integer routines

 -- Tianon Gravi <tianon@debian.org>  Tue, 12 Apr 2016 23:06:43 -0700
