=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
+#
+# WARNING: "debian/control" is generated via "debian/rules gencontrol" (sourced from "debian/control.in")
+#
+
 Source: golang-1.6
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
+Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
-           Tianon Gravi <tianon@debian.org>
+           Tianon Gravi <tianon@debian.org>,
+           Michael Hudson-Doyle <michael.hudson@ubuntu.com>
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
 Build-Depends: debhelper (>= 7.4.10),
-               golang-go (>= 2:1.4.2-2~) | gccgo-6,
+               golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
                netbase
 Standards-Version: 3.9.6
 Homepage: https://golang.org
 
 Package: golang-1.6-go
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
 Depends: golang-1.6-src (>= ${source:Version}),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: g++,
-            gcc,
-            golang-1.6-race-detector-runtime [amd64],
-            libc6-dev,
-            pkg-config
+Recommends: g++, gcc, libc6-dev, pkg-config
 Suggests: bzr, ca-certificates, git, mercurial, subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
@@ -43,7 +43,7 @@
  pre-compile the standard library inside GOROOT for cross-compilation to work.
 
 Package: golang-1.6-src
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
