=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,14 @@
 # This file is in the public domain.
 # You may freely use, modify, distribute, and relicense it.
 
-export GOVER := $(shell perl -e 'use Dpkg::Version; printf("%s\n", Dpkg::Version->new(`dpkg-parsechangelog -SVersion`)->version());')
+export GOVER := $(shell perl -w -mDpkg::Version -e 'Dpkg::Version->new(`dpkg-parsechangelog -SVersion`)->version() =~ /^([0-9]+\.[0-9]+)/ && print("$$1\n")')
 
 export GOROOT := $(CURDIR)
 export GOROOT_FINAL := /usr/lib/go-$(GOVER)
+export GOARM := 6
 
 DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
-RUN_TESTS := true
+RUN_TESTS := false
 ifeq (ppc64, $(DEB_HOST_ARCH_CPU))
 	RUN_TESTS := false
 endif
@@ -20,7 +21,13 @@
 	+dh --parallel $(opt_no_act) $@
 
 gencontrol:
-	sed -e 's/golang-X.Y/golang-$(GOVER)/g' debian/control.in > debian/control
+	{ \
+		echo '#'; \
+		echo '# WARNING: "debian/control" is generated via "debian/rules gencontrol" (sourced from "debian/control.in")'; \
+		echo '#'; \
+		echo; \
+		sed -e 's/golang-X.Y/golang-$(GOVER)/g' debian/control.in; \
+	} > debian/control
 
 override_dh_auto_clean: gencontrol
 	# remove autogenerated files
@@ -31,13 +38,13 @@
 		src/runtime/internal/sys/zversion.go
 	# remove built objects
 	rm -rf bin pkg
-	@cd debian; for x in golang-X.Y-*; do \
+	@set -e; cd debian; for x in golang-X.Y-*; do \
 		rm -f -v golang-$(GOVER)-$${x##golang-X.Y-}; \
 	done
 
 override_dh_prep:
 	dh_prep
-	@cd debian; for x in golang-X.Y-*; do \
+	@set -e; cd debian; for x in golang-X.Y-*; do \
 		sed -e 's/X.Y/$(GOVER)/g' $$x > golang-$(GOVER)-$${x##golang-X.Y-}; \
 	done
 
@@ -71,9 +78,6 @@
 
 override_dh_install-arch:
 	dh_install --fail-missing
-	# Remove .syso files of the race detector; they are binary files that
-	# are not built from source in the go source distribution.
-	find $(CURDIR)/debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src/runtime/race -type f -name '*.syso' -delete
 	# Remove Plan9 rc(1) scripts
 	find debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src -type f -name '*.rc' -delete
 	# Remove empty /usr/share/go-$(GOVER)/src from golang-$(GOVER)-go, it is provided by golang-$(GOVER)-src
@@ -83,15 +87,14 @@
 	find debian/golang-$(GOVER)-go/usr/lib/go-$(GOVER)/pkg -exec touch -r $(CURDIR)/debian/golang-$(GOVER)-go/usr/lib/go-$(GOVER)/pkg {} \;
 
 override_dh_strip:
-	# strip disabled as golang upstream doesn't support it and it makes go
-	# crash. See http://bugs.debian.org/717172
+	dh_strip -Xtestdata
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Xtestdata -Xtest
 
 override_dh_auto_build-arch:
 	[ -f VERSION ] || echo "debian snapshot +$$(dpkg-parsechangelog -SVersion)" > VERSION
-	export GOROOT_BOOTSTRAP=/usr/lib/go-1.6 \
+	export GOROOT_BOOTSTRAP=$$(env -i go env GOROOT) \
 		&& cd src \
 		&& $(CURDIR)/debian/helpers/goenv.sh \
 			bash ./make.bash --no-banner
