## golang-1.6 1.6.3

=== debian/changelog ===
golang-1.6 (1.6.3-2+rpi1) stretch-staging; urgency=medium

  [changes brought forward from golang 2:1.5.3-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 21 Jan 2016 20:49:39 +0000]
  * Force build for armv6.
  
  [changes introduced in golang 2:1.6.1-2+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 10 Oct 2016 12:39:09 +0000

golang-1.6 (1.6.3-2) unstable; urgency=medium

  * Backport CL 29995 for tzdata 2016g changes (Closes: #839298)

 -- Tianon Gravi <tianon@debian.org>  Mon, 03 Oct 2016 15:12:11 -0700

golang-1.6 (1.6.3-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Update to new upstream release.

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tianon Gravi ]
  * Update Vcs-Git to reference a particular branch
  * Remove outdated README files (README.source and README.Debian)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 19 Jul 2016 15:25:53 +1200
