=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
            Tianon Gravi <tianon@debian.org>,
            Michael Hudson-Doyle <michael.hudson@ubuntu.com>
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
-Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-golang/golang.git -b golang-1.6
 Build-Depends: debhelper (>= 7.4.10),
                golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
                netbase
