=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,16 @@
 		echo; \
 		sed -e 's/golang-X.Y/golang-$(GOVER)/g' debian/control.in; \
 	} > debian/control
+	{ \
+		echo '# WARNING: "debian/gbp.conf" is generated via "debian/rules gencontrol" (sourced from "debian/gbp.conf.in")'; \
+		echo; \
+		sed -e 's/X\.Y/$(GOVER)/g' debian/gbp.conf.in; \
+	} > debian/gbp.conf
+	{ \
+		echo '# WARNING: "debian/watch" is generated via "debian/rules gencontrol" (sourced from "debian/watch.in")'; \
+		echo; \
+		sed -e 's/X\.Y/$(GOVER)/g' debian/watch.in; \
+	} > debian/watch
 
 override_dh_auto_clean: gencontrol
 	# remove autogenerated files
